﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="RoomModal" tabindex="-1" role="dialog" aria-labelledby="RoomModal" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" class="btn btn-danger btn-xs pull-right" onclick="function close(){window.location.reload(true)};close()" data-dismiss="modal"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b >@Resources.Content.ManageRoom</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <input id="Roomid" name="Roomid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                            <label for="roomno">@Resources.Content.RoomNo</label>
                            <input id="roomno" name="roomno" placeholder="Enter Room No" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="floorid">@Resources.Content.Floor</label>
                            <select class="form-control input-sm" id="floorid">
                                @foreach (var floor in Model.Floors)
                                {
                                    <option value=@floor.id>@floor.floor_no</option>
                                }
                            </select>
                        </div>
                        
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="roomtypeid">@Resources.Content.RoomType</label>
                            <select class="form-control input-sm" id="roomtypeid">
                                @foreach (var roomType in Model.RoomTypes)
                                {
                                    <option value=@roomType.id>@roomType.roomtypename</option>
                                }
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="servicecharge">@Resources.Content.ServiceCharge</label>
                            <input id="servicecharge" name="servicecharge" placeholder="Enter Service Charge" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="price">@Resources.Content.Price</label>
                            <input id="price" name="price" placeholder="$0.00" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="roomkey">@Resources.Content.RoomKey</label>
                            <input id="roomkey" name="roomkey" placeholder="Enter Room Key" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="roomstatus">@Resources.Content.Status</label>
                            <select id="roomstatus" name="roomstatus" class="form-control input-sm" style="min-width: 100%">
                                <option>FREE</option>
                                <option>BOOK</option>
                                <option>CHECK-IN</option>
                                <option>BLOCK</option>
                            </select>
                        </div>
                    </div>
                </div>
                <button type="button" id="btnAddRoom" onclick="AddRoomAction()" class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-plus"></span> @Resources.Content.AddNew</button>
                <button type="button" id="btnSaveRoom" onclick="SaveRoomAction()" class="btn btn-info btn-sm"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                <button type="button" id="btnUpdateRoom" onclick="UpdateRoomAction()" class="btn btn-success btn-sm"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
                   
                <hr />
                <table class="table-hover table-bordered table-condensed table-striped" style="width:100%" id="tableRoom">
                    <thead>
                        <tr>
                            <th>@Resources.Content.No</th>
                            <th>@Resources.Content.RoomNo</th>
                            <th>@Resources.Content.Price</th>
                            <th>@Resources.Content.RoomType</th>
                            <th>@Resources.Content.Floor</th>
                            <th>@Resources.Content.Status</th>
                            <th style="width:10%">@Resources.Content.Action</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script>
    function AddRoomAction() {
        $('#btnAddRoom').hide();
        $('#btnSaveRoom').show();
        $('#btnUpdateRoom').hide();
        EnableControlRoom();
        ClearControlRoom();
        $('#roomno').focus();
    }
    //Save  
    function RoomAction() {
        var isValid = ValidationFormRoom();
        if (isValid == false) {
            return false;
        }

        var data = {
            room_no: $('#roomno').val(),
            roomtypeid: $('#roomtypeid').val(),
            floorid: $('#floorid').val(),
            servicecharge: $('#servicecharge').val(),
            price: $('#price').val(),
            roomkey: $('#roomkey').val(),
            status: $('#roomstatus').val(),
        };


        $.ajax({
            url: "/api/Rooms",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("New Room has been Created", "Server Respond");
                $('#tableRoom').DataTable().ajax.reload();
            },
            error: function (errormesage) {
                $('#RoomName').focus();
                toastr.error("This Name is exist in Database", "Server Respond")
            }

        });
        $('#btnAddRoom').show();
        $('#btnSaveRoom').hide();
        $('#btnUpdateRoom').hide();
    }

    function UpdateRoomAction() {
        var data = {
            id: $('#Roomid').val(),
            room_no: $('#roomno').val(),
            roomtypeid: $('#roomtypeid').val(),
            floorid: $('#floorid').val(),
            servicecharge: $('#servicecharge').val(),
            price: $('#price').val(),
            roomkey: $('#roomkey').val(),
            status: $('#roomstatus').val(),
        };
        $.ajax({
            url: "/api/Rooms/" + data.id,
            data: JSON.stringify(data),
            type: "PUT",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Room has been Updated", "Server Respond");
                $('#tableRoom').DataTable().ajax.reload();
                document.getElementById('btnSaveRoom').innerText = "Add New";
                DisableControlRoom();
                ClearControlRoom();
            },
            error: function (errormesage) {
                toastr.error("Room hasn't Updated in Database", "Server Respond")
            }
        });
        $('#btnAddRoom').show();
        $('#btnSaveRoom').hide();
        $('#btnUpdateRoom').hide();
    }

</script>


